CVE-2018-1333

NameCVE-2018-1333
DescriptionBy specially crafting HTTP/2 requests, workers would be allocated 60 seconds longer than necessary, leading to worker exhaustion and a denial of service. Fixed in Apache HTTP Server 2.4.34 (Affected 2.4.18-2.4.30,2.4.33).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs904106

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
apache2 (PTS)buster, buster (security)2.4.38-3+deb10u7fixed
bullseye2.4.53-1~deb11u1fixed
bullseye (security)2.4.52-1~deb11u2fixed
bookworm, sid2.4.54-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
apache2sourcejessie(not affected)
apache2sourcestretch2.4.25-3+deb9u6
apache2source(unstable)2.4.34-1904106

Notes

[jessie] - apache2 <not-affected> (Vulnerable code not present)
Affects 2.4.18-2.4.33
HTTP/2 support introduced in 2.4.17
https://www.openwall.com/lists/oss-security/2018/07/18/1
https://httpd.apache.org/security/vulnerabilities_24.html#CVE-2018-1333

Search for package or bug name: Reporting problems